package cn.com.ty.lift.business.library.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author bieao
 * @date 2020/1/3
 * @description 批量停保请求
 */
@Data
public class PlatformCompanyBatchRequest {

    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;

    /**
     * 电梯id列表
     */
    @NotNull(message = "notEmpty")
    private List<Long> idList;

    /**
     * 公司电梯关联表主键id列表
     */
    @NotNull(message = "notEmpty")
    private List<Long> platformCompanyIdList;
}
