package cn.com.ty.lift.business.library.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2019/12/5
 * @description 停保请求
 */
@Data
public class PlatformCompanyRequest {

    /**
     * 公司电梯关联表主键id
     */
    @NotNull(message = "notEmpty")
    private Long relevanceId;

    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long companyId;

    /**
     * 电梯id
     */
    @NotNull(message = "notEmpty")
    private Long liftId;
}
