package cn.com.ty.lift.business.evaluation.controller;


import cn.com.ty.lift.business.evaluation.dao.entity.model.EvaluationRequest;
import cn.com.ty.lift.business.evaluation.service.EvaluationService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 保养单用户评价 前端控制器
 * </p>
 *
 * @author huangyuan
 * @since 2019-12-31
 */
@RestController
@RequestMapping("/evaluation")
public class EvaluationController {

    @Autowired
    private EvaluationService evaluationService;

    /**
     * @param
     * @return
     * @description 保存评价信息
     * @date 2019-12-31 15:46
     */
    @PostMapping("/save")
    public RestResponse save(EvaluationRequest evaluationRequest) {
        return evaluationService.saveEvaluation(evaluationRequest);
    }

}
